#ifndef __SENDFINDERTRICKS__
#define __SENDFINDERTRICKS__

#include "AppleEventUtilities.h"

void FindPSNbyTypeAndSig(ProcessSerialNumber* psn, OSType type, OSType sig);
TDescriptor GetAddressOfFinder(void);
TDescriptor MakeSpecifierForSelection(void);
TDescriptor MakeSpecifierForIndexedItem(DescType desiredClass, long index, TDescriptor ofSpecifier);
TDescriptor MakeSpecifierForFrontWindow(void);
TDescriptor MakeSpecifierForPropertyOfSpecifier(DescType property, TDescriptor ofSpecifier);
TDescriptor MakeSpecifierForPropertyOfSelection(DescType property);
TDescriptor GetFinderSelection(DescType desiredType);
long CountItemsInContainer(DescType desiredClass, TDescriptor inContainer, TDescriptor target);
void RotateIconsTrick(void);
void SetDescTypePropertyOfSpecifier(TDescriptor directObjectSpecifier, DescType newValue);
void SetDescTypePropertyOfFinderSelection(DescType property, DescType newValue);
void SetTypesOfSelectionWithMultipleEvents(Boolean setCreator, DescType newCreatorType, Boolean setType, DescType newFileType);
void SetTypesOfSelectionUsingFileSystem(Boolean setCreator, DescType newCreatorType, Boolean setType, DescType newFileType);
void SetTypesOfFinderSelection(short method, Boolean setCreator, DescType newCreatorType, Boolean setType, DescType newFileType);
void RevealOwnerOfFrontWindow();
void RemoveCustomIconFromSelection();
void ShareSelectedFolders();

#endif
